From 3b55d29bfb3c94d0fb7edcaa4b3ea6a7003d98c0 Mon Sep 17 00:00:00 2001
From: Ke Zhiming <kezhiming@huawei.com>
Date: Tue, 19 May 2020 15:31:41 +0800
Subject: [PATCH 17/28] virsh: fix VirshPersistent err

Fix failed probabilistically because of "ERROR: dictionary changed size
during iteration"

Signed-off-by: Ke Zhiming <kezhiming@huawei.com>
---
 virttest/virsh.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/virttest/virsh.py b/virttest/virsh.py
index 096ed19f..066afa03 100644
--- a/virttest/virsh.py
+++ b/virttest/virsh.py
@@ -407,7 +407,8 @@ class Virsh(VirshBase):
         super(Virsh, self).__init__(*args, **dargs)
         # Define the instance callables from the contents of this module
         # to avoid using class methods and hand-written aliases
-        for sym, ref in list(globals().items()):
+        globals_copy = globals().copy()
+        for sym, ref in list(globals_copy.items()):
             if sym not in NOCLOSE and callable(ref):
                 # Adding methods, not properties, so avoid special __slots__
                 # handling.  __getattribute__ will still find these.
-- 
2.23.0

